WORKQUEUE_ENQUEUE(9)

NAME
workqueue_enqueue - Enqueue a work for later processing

SYNOPSIS
#include <sys/workqueue.h>
void
workqueue_enqueue(struct workqueue *wq, struct work *wk);

DESCRIPTION
Enqueue the work wk into the workqueue wq. The enqueued work will be processed in a thread context. A work must not be enqueued again until the callback is called by the workqueue(9) framework.

SEE ALSO
intro(9), workqueue(9)